- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
sinh
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Hyperbolic functions

sinh of input More...

## Functions
AFAPI array | sinh (const array &in)
| C++ Interface for sinh. More...
AFAPI af_err | af_sinh (af_array *out, const af_array in)
| C Interface for sinh. More...

## Detailed Description

sinh of input

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_sinh | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for sinh.

Parameters

  [out] | out | will contain sinh of input
  [in] | in | is input array

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::sinh | ( | const array & | in | ) |

C++ Interface for sinh.

Parameters

  [in] | in | is input array

Returns
  sinh of input